Create a bank account Run in API Explorer
Ask AI
Body
-
The UUIDs of the accounts who should own the bank account. These must only be client accounts.
-
The UUIDs of the accounts who should have the bank account as their primary bank account.
-
When provided and set to true, it will make the created bank account the primary bank account for all of the account UUIDs provided.
-
The friendly name for the bank account.
Maximum length is
255. -
The name of the bank account holder(s) as it appears on statements
Maximum length is
255. -
The bank account number.
-
The bank account sort code
POST
/api/v2/bank-accounts
curl \
--request POST 'https://api.plannrcrm.com/api/v2/bank-accounts' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"account_uuids": [
"7f1315ef-c69e-47f0-8f5f-f3b1a1a80740",
"01a5937b-36f7-470f-bc82-05c9787bd7dc",
"4c31432d-2ea5-4638-92c9-ea2fcad73955"
],
"primary_account_uuids": [
"3e1fc63e-099a-436a-ada0-e4abbde25987",
"64474cbd-ce3e-4088-abc1-c1e90d071717",
"89c8691e-3130-4b62-a7f1-9351115cbdf7"
],
"is_primary": true,
"account_name": "My Savings Account",
"account_holders": "Mr John A Smith & Mrs Jane Smith",
"account_number": "01234567",
"sort_code": "012345"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"account_uuids": [
"7f1315ef-c69e-47f0-8f5f-f3b1a1a80740",
"01a5937b-36f7-470f-bc82-05c9787bd7dc",
"4c31432d-2ea5-4638-92c9-ea2fcad73955"
],
"primary_account_uuids": [
"3e1fc63e-099a-436a-ada0-e4abbde25987",
"64474cbd-ce3e-4088-abc1-c1e90d071717",
"89c8691e-3130-4b62-a7f1-9351115cbdf7"
],
"is_primary": true,
"account_name": "My Savings Account",
"account_holders": "Mr John A Smith & Mrs Jane Smith",
"account_number": "01234567",
"sort_code": "012345"
}
Response examples (200)
{
"uuid": "d07d9520-7c2e-4e9a-b639-634b5aff9481",
"created_at": "2026-10-27T15:44:15+00:00",
"updated_at": "2026-10-27T15:44:15+00:00",
"account_name": "Savings Account",
"account_holders": "Mr John A Smith",
"account_number": "12345678",
"sort_code": "123456",
"accounts": {
"uuid": "483d2269-182e-491d-a9d9-917dfaa7e7e3",
"created_at": "2026-10-27T15:44:15+00:00",
"updated_at": "2026-10-27T15:44:15+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "97a5f63a-a7c9-4e65-98af-59bd893fe6d4",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"primary_accounts": {
"uuid": "4138a1ca-c295-4ff4-a40d-220d03a4e7aa",
"created_at": "2026-10-27T15:44:15+00:00",
"updated_at": "2026-10-27T15:44:15+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "97a5f63a-a7c9-4e65-98af-59bd893fe6d4",
"created_at": "2026-10-27T15:44:19+00:00",
"updated_at": "2026-10-27T15:44:19+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}